Subject: Re: bug#26339: [PATCH] tests: Add syslinux gpt test.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 20 Jun 2017 22:13:49 +0200

Hello!

Mathieu Othacehe <[email-masked]> skribis:

>> I don’t think we should provide ‘syslinux’ in the installation image.
>> The image is already fat enough.
>
> Yep you're right, I added it without really understanding why it has
> necessary for the test to succeed.
>
> Now I understand why, it's because the image has no network access, so
> every package that will be needed further has to be specified. I add a
> packages list to "run-install" to solve this issue.

Sounds good.

> From 7cf07ec0e909d99030e2646db9fdfef09d655316 Mon Sep 17 00:00:00 2001
> From: Mathieu Othacehe <[email-masked]>
> Date: Thu, 18 May 2017 12:19:53 +0200
> Subject: [PATCH] tests: Add extlinux gpt test.
>
> * gnu/tests/install.scm (%test-installed-extlinux-os): New exported
>   variable.
>   (%minimal-extlinux-os, %minimal-extlinux-os-source): New variables.
>   (%extlinux-gpt-installation-script): New variable.
  ^^
Extra space.  :-)

Please also mention the ‘run-install’ change.

Otherwise LGTM, thanks for taking the time to write this test!

Ludo’.